Package io.vertx.reactivex.ext.web.handler

## Class HSTSHandler

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.HSTSHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `io.vertx.lang.rx.RxDelegate`, `SecurityPolicyHandler`

      public class HSTSHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate, SecurityPolicyHandler, Handler<RoutingContext>

  HTTP Strict Transport Security (HSTS) RFC6797. This handler adds the strict transport security headers, for this domain or subdomains.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<HSTSHandler>` | `__TYPE_ARG` |
    `static long` | `DEFAULT_MAX_AGE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HSTSHandler​(HSTSHandler delegate)` |
    `HSTSHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HSTSHandler` | `create()` | Creates a new instance that does not consider the configuration for sub domains.
    `static HSTSHandler` | `create​(boolean includeSubDomains)` | Creates a new instance that shall consider the configuration for sub domains.
    `static HSTSHandler` | `create​(long maxAge, boolean includeSubDomains)` | Creates a new instance that shall consider the configuration for sub domains.
    `boolean` | `equals​(Object o)` |
    `HSTSHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static HSTSHandler` | `newInstance​(HSTSHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HSTSHandler> __TYPE_ARG

    - #### DEFAULT_MAX_AGE

          public static final long DEFAULT_MAX_AGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HSTSHandler

          public HSTSHandler​(HSTSHandler delegate)

    - #### HSTSHandler

          public HSTSHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HSTSHandler getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Specified by:
        `getDelegate` in interface `SecurityPolicyHandler`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `SecurityPolicyHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          public static HSTSHandler create​(long maxAge,
                                           boolean includeSubDomains)

      Creates a new instance that shall consider the configuration for sub domains.
      Parameters:
        `maxAge` - max age to attribute to the header
        `includeSubDomains` - consider sub domains when adding the header
      Returns:
        an instance.

    - #### create

          public static HSTSHandler create​(boolean includeSubDomains)

      Creates a new instance that shall consider the configuration for sub domains.
      Parameters:
        `includeSubDomains` - consider sub domains when adding the header
      Returns:
        an instance.

    - #### create

          public static HSTSHandler create()

      Creates a new instance that does not consider the configuration for sub domains. Using the default max age.
      Returns:
        an instance.

    - #### newInstance

          public static HSTSHandler newInstance​(HSTSHandler arg)